import HtmlWebpackPlugin from 'html-webpack-plugin';
import webpack from 'webpack';
declare module 'html-webpack-plugin' {
    class HtmlWebpackPlugin {
        options?: HtmlWebpackPlugin.Options & {
            inlineScripts?: string[];
        };
    }
}
export interface InjectInlineHtmlWebpackPluginOptions {
    runtimeChunkName?: string;
    chunkPrefix?: string;
}
/**
 * This plugin will inject raw scripts into the head of the
 * generated HTML file from HtmlWebpackPlugin.
 *
 * ```
 * new HtmlWebpackPlugin({
 *   inlineScripts: ['my-script.js'],
 * }),
 * new InjectInlineHtmlWebpackPlugin()
 * ```
 */
declare class InjectInlineHtmlWebpackPlugin {
    private scripts;
    private options;
    constructor(options?: InjectInlineHtmlWebpackPluginOptions);
    apply(compiler: webpack.Compiler): void;
    getScriptKeyName(script: string): string;
    tapBeforeRun(compiler: webpack.Compiler, done: (error?: Error | null | false, result?: void) => void): void;
    tapCompilation(compilation: webpack.Compilation): void;
    createInlineScriptTag(source: string): HtmlWebpackPlugin.HtmlTagObject;
    inlineRuntime(compilation: webpack.Compilation, data: {
        bodyTags: HtmlWebpackPlugin.HtmlTagObject[];
        headTags: HtmlWebpackPlugin.HtmlTagObject[];
        outputName: string;
        plugin: HtmlWebpackPlugin.HtmlWebpackPlugin;
    }): void;
}
export default InjectInlineHtmlWebpackPlugin;
